API

Virtual Number with to make yourself proud of yourself

Postman Collection

Postman Collection

Download the Postman collection for the current API documentation.

Download Collection
  • Virtual Number v1
  • Google Voice
  • Rent Numbers

SmsOnline API v1

For Use our services you can use OUR Api

Base URLs:

https://mail.smsonline.io/api/v1

Get our Supported Countries

GET /virtual-number/get-countries

For select the country you need - indicate according country code at the "country" parameter.

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/virtual-number
                                            /get-countries
                                            ?apiKey
                                            =
                                            yourApiKey
                                        
                                

Get our Supported Services

GET /virtual-number/get-services

For select the country you need - indicate according country code at the "service" parameter.

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/virtual-number
                                            /get-services
                                            ?apiKey
                                            =
                                            yourApiKey
                                        
                                

Get Products

GET /virtual-number/get-products

For select the country you need - indicate according country code at the "country" parameter.

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/virtual-number
                                            /get-products
                                            ?apiKey
                                            =
                                            yourApiKey
                                            &countryId
                                            =
                                            1
                                            &serviceId
                                            =
                                            2
                                        
                                

Buy Number

GET /virtual-number/buy-service

With the Virtual Number Purchase API, you can automatically request and receive virtual numbers for your services.

To purchase a number, you need to send the following parameters:

  • countryId : Country ID
  • serviceId : Service ID (the application or platform you need the number for)
  • operatorId : Operator ID

If the number is available and you have sufficient balance, the system will provide you with a valid virtual number.

Test Mode:

To test the API without actually purchasing a number or deducting your balance, simply add the following parameter at the end of your request URL

This will return a test response instead of a real purchase.

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/virtual-number
                                            /get-products
                                            ?apikey
                                            =
                                            yourApiKey
                                            &countryId
                                            =
                                            1
                                            &serviceId
                                            =
                                            2
                                             &operatorId
                                            =
                                            2
                                        
                                

Get Sms code

GET /virtual-number/get-sms

With the Virtual Number Purchase API, you can automatically request and receive virtual numbers for your services.

To purchase a number, you need to send the following parameters:

  • countryId : Country ID
  • serviceId : Service ID (the application or platform you need the number for)
  • operatorId : Operator ID

If the number is available and you have sufficient balance, the system will provide you with a valid virtual number.

Test Mode:

To test the API without actually purchasing a number or deducting your balance, simply add the following parameter at the end of your request URL

This will return a test response instead of a real purchase.

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/virtual-number
                                            /get-sms
                                            ?apikey
                                            =
                                            yourApiKey
                                            &id
                                            =
                                            1
                                        
                                

Change Status

GET /virtual-number/change-status

With the Virtual Number Purchase API, you can automatically request and receive virtual numbers for your services.

To purchase a number, you need to send the following parameters:

  • countryId : Country ID
  • serviceId : Service ID (the application or platform you need the number for)
  • operatorId : Operator ID

If the number is available and you have sufficient balance, the system will provide you with a valid virtual number.

Test Mode:

To test the API without actually purchasing a number or deducting your balance, simply add the following parameter at the end of your request URL

This will return a test response instead of a real purchase.

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/virtual-number
                                            /get-sms
                                            ?apikey
                                            =
                                            yourApiKey
                                            &id
                                            =
                                            1
                                        
                                

Google Voice API

For use Google Voice inventory and purchase APIs, send your apiKey with each request.

Base URLs:

https://mail.smsonline.io/api/v1/google-voice

Get Google Voice Numbers

GET /google-voice/get-numbers

Returns the current Google Voice inventory with price, type, number, and provider id.

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/google-voice
                                            /get-numbers
                                            ?apiKey
                                            =
                                            yourApiKey
                                        
                                

Get Single Google Voice Number

GET /google-voice/get-number

Returns the details of one Google Voice number using its provider id.

  • apiKey : Your API key
  • id : Google Voice provider id

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/google-voice
                                            /get-number
                                            ?apiKey
                                            =
                                            yourApiKey
                                            &id
                                            =
                                            1
                                        
                                

Buy Google Voice Number

GET /google-voice/buy-number

Buys a Google Voice number, creates the order record, and deducts the amount from the user balance.

  • apiKey : Your API key
  • id : Google Voice provider id

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/google-voice
                                            /buy-number
                                            ?apiKey
                                            =
                                            yourApiKey
                                            &id
                                            =
                                            1
                                        
                                

Rent Number API

Use this API to list rentable countries and create rent-number orders from your wallet balance.

Base URL:

https://mail.smsonline.io/api/v1/rent-number

Get Rent Durations

GET /rent-number/get-durations

Returns the supported rent-number duration types and their allowed time values.

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/rent-number
                                            /get-durations
                                            ?apiKey
                                            =
                                            yourApiKey
                                        
                                

Get Rent Countries

GET /rent-number/get-countries

Returns rentable countries with pricing for the selected duration.

  • apiKey : Your API key
  • type : Rental period type such as hour, day, week, or month
  • time : Rental amount for the selected type

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/rent-number
                                            /get-countries
                                            ?apiKey
                                            =
                                            yourApiKey
                                            &type
                                            =
                                            day
                                            &time
                                            =
                                            1
                                        
                                

Buy Rent Number

GET /rent-number/buy-number

Creates a pending rent-number order and charges the user wallet. The number is attached later when the order is completed.

  • apiKey : Your API key
  • countryId : Country ID
  • type : Rental period type such as hour, day, week, or month
  • time : Rental amount for the selected type

Code samples

                                        
                                            https://mail.smsonline.io/api/v1/rent-number
                                            /buy-number
                                            ?apiKey
                                            =
                                            yourApiKey
                                            &countryId
                                            =
                                            1
                                            &type
                                            =
                                            day
                                            &time
                                            =
                                            1